<script>
	jQuery(function($) {
		var $ = jQuery;
		
		$(document).on("change", '[id^="type"]', function() {
			var dividerType = $(this).val();

			$('.blocksettings', $container).hide();

			switch(dividerType) {
				case 'block':				
					$('.blocksettings', $container).show();
					break;
			}
		});

		var $container = $('#shortcode-form');

		$('[id^="type"]', $container).change();
	});
</script>
